package com.template.services;

import com.template.model.pojo.SmartScreenshot;
import com.template.model.pojo.SmartScreenshot;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartScreenshotService extends IService<SmartScreenshot> {
    int insertSmartScreenshot(SmartScreenshot rns);

    int updateSmartScreenshot(SmartScreenshot rns);

    PageUtils<SmartScreenshot> queryPageSmartScreenshots(int currentPage, int pageCount, String name);

    int deleteSmartScreenshotById(int id);

    SmartScreenshot getSmartById(int id);

    SmartScreenshot getSmartByTimes(int times);

    SmartScreenshot getSmartLastOneByTimes(int times);
}
